<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listWitnesses") label="Witnesses"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="All Witnesses"]]

<div class="btn-toolbar">
  <semantic-link
    iri="[[resolvePrefix ':searchWitnesses']]"
    class="btn btn-md btn-default"
    >Advanced search</semantic-link>
[[#if (hasPermission "forms:ldp:update")]]
  <semantic-link
    iri="[[resolvePrefix ':createWitness']]"
    class="btn btn-md btn-primary "
    >Add new witness</semantic-link>
[[/if]]
</div>

<div class="gap">
  <semantic-simple-search
    query='
      SELECT ?resource ?label WHERE {
        ?resource a ismi:Witness ;
          rdfs:label ?label .
        ?label bds:search ?__token__ ;
          bds:relevance ?score ;
          bds:minRelevance "0.1" .
      } ORDER BY DESC(?score) LIMIT 100
    '
    template='<span style="color: blue;" title="{{resource.value}}">{{label.value}}</span>'
    input-placeholder='Search for witness label...'
  ></semantic-simple-search>
</div>

<div class="panel">
  <div class="panel-body">
    [[> Partial:tableWitnesses]]
  </div>
</div>

[[> Partial:contentEnd]]
